Bug 17290 - [FR] предлагать relatime по дефолту
: [FR] предлагать relatime по дефолту
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/guile-evms)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 14888
  Show dependency tree
 
Reported: 2008-09-23 11:37 by
Modified: 2009-06-21 20:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-23 11:37:55
Хотелось бы, чтобы при разбивке диска в дефолтные опции монтирования
добавлялась опция noatime, которая, как известно, положительно сказывается на
производительности ФС. Те, кому это реально надо, заметят и уберут, а вот
несведующие юзеры noatime сами прописать не в состоянии.
------- Comment #1 From 2008-09-23 22:37:43 -------
relatime ещё какой-то есть
------- Comment #2 From 2008-09-24 15:23:52 -------
Это часом не дуп кусочка bug #2616, который done in 0.3-alt8?
------- Comment #3 From 2008-09-24 15:53:26 -------
Думаешь стоит reopen ту багу? она fixed по большей части. А у меня тут только
просьба поболее где выставлять noatime.
------- Comment #4 From 2008-09-24 16:03:07 -------
а надо ли поболее ? по мне так в самый раз
------- Comment #5 From 2008-11-29 15:08:22 -------
Предлагаю по умолчанию всё-таки не noatime (который сам активно применяю), а
relatime, который в качестве safe default рекомендует апстрим:

Traditional unix semantics require updating the atime of a file every time it's
read. Disabling atime updates can confuse some applications that depend on the
ability to determine whether the user has examined a file since it was last
modified. The relatime filesystem option only updates atime if the previous
atime was before the file was last modified. Reducing these writes makes it
easier to keep drives spun down.

Summary: Use relatime on filesystems when possible.

И да, было бы некисло это в 4.1.1+. :)h
------- Comment #6 From 2009-06-20 00:58:44 -------
fixed in guile-evms 0.4-alt6
------- Comment #7 From 2009-06-21 20:45:10 -------
Спасибо!